package contract_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type ContractPressRequest struct {
	// <ext>core:true;format:string;deprecated:false</ext> 【签署节点id】签署节点id 【作用】 通过签署方id查询需催签的签署节点。
	ActionId *int64 `json:"actionId,omitempty"`
}

func (obj ContractPressRequest) GetUrl() string {
	return "/contract/press"
}

func (obj ContractPressRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("actionId", obj.ActionId)
	return parameter
}
